Summary: Create charts and graphs in GIF format
Name: gdchart
Version: 0.94b
Release: 1
Group: Libraries
Copyright: free for use
Url: http://www.fred.net/brv/chart/
Vendor: Bruce Verderaime <brv@fred.net>
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.fred.net/brv/chart/gdchart%{version}.tar.gz
Patch:  gdchart%{version}.patch
Requires: gd, gd-devel
BuildRoot: /var/tmp/%{name}-root

%description
GDCHART is an easy to use C API and high performance library for creating 
charts and graphs in GIF format. It is especially useful for CGI programming.


%prep
%setup -q -n gdchart%{version}
%patch -p1


%build
make libgdchart.a CC="cc $RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include,lib}
install -p -m644 *.h $RPM_BUILD_ROOT/usr/include
install -p -m644 libgdchart.a $RPM_BUILD_ROOT/usr/lib


%files
%defattr(-,root,root)
%doc *.txt gdc_*samp*.c samp.html
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT
